<?xml version="1.0" encoding="utf-8"?><testclasses><couponservices><testclass>de.hybris.platform.couponservices.cart.hooks.MergeCouponCodeHookUnitTest</testclass><testclass>de.hybris.platform.couponservices.redemption.strategies.impl.SingleCodeCouponRedemptionStrategyUnitTest</testclass><testclass>de.hybris.platform.couponservices.spocktests.AbstractCouponServicesSpockTest</testclass><testclass>de.hybris.platform.couponservices.order.hooks.CouponRedemptionMethodHookUnitTest</testclass><testclass>de.hybris.platform.couponservices.RuleActionCouponMetadataHandlerUnitTest</testclass><testclass>de.hybris.platform.couponservices.interceptor.AbstractCouponValidateInterceptorUnitTest</testclass><testclass>de.hybris.platform.couponservices.util.CouponAwareCartTestContextBuilder</testclass><testclass>de.hybris.platform.couponservices.conditions.RuleQualifyingCouponsConditionTranslatorTest</testclass><testclass>de.hybris.platform.couponservices.interceptor.MultiCodeCouponValidateInterceptorUnitTest</testclass><testclass>de.hybris.platform.couponservices.couponcodegeneration.impl.CouponCodesInputStreamUnitTest</testclass><testclass>de.hybris.platform.couponservices.dao.impl.DefaultCouponRedemptionDaoUnitTest</testclass><testclass>de.hybris.platform.couponservices.couponcodegeneration.impl.DefaultCouponCodeCipherTextGenerationStrategyUnitTest</testclass><testclass>de.hybris.platform.couponservices.services.impl.DefaultCouponManagementServiceUnitTest</testclass><testclass>de.hybris.platform.couponservices.spocktests.CouponPromotionRulesSpec</testclass><testclass>de.hybris.platform.couponservices.couponcodegeneration.impl.DefaultCouponCodeClearTextGenerationStrategyUnitTest</testclass><testclass>de.hybris.platform.couponservices.strategies.impl.DefaultCouponCodeRetrievalStrategyUnitTest</testclass><testclass>de.hybris.platform.couponservices.dao.impl.DefaultCouponDaoTest</testclass><testclass>de.hybris.platform.couponservices.rule.strategies.impl.mappers.CouponRuleParameterValueMapperTest</testclass><testclass>de.hybris.platform.couponservices.converters.populator.CouponRaoPopulatorUnitTest</testclass><testclass>de.hybris.platform.couponservices.interceptor.SingleCodeCouponValidateInterceptorUnitTest</testclass><testclass>de.hybris.platform.couponservices.cart.hooks.CouponRedeemableValidationHookUnitTest</testclass><testclass>de.hybris.platform.couponservices.services.impl.DefaultCouponServiceUnitTest</testclass><testclass>de.hybris.platform.couponservices.converters.CouponAwareCartRAOConverterIT</testclass><testclass>de.hybris.platform.couponservices.interceptor.SingleCodeCouponValidationIT</testclass><testclass>de.hybris.platform.couponservices.interceptor.CodeGenerationConfigurationUsageValidateInterceptorTest</testclass><testclass>de.hybris.platform.couponservices.dao.impl.DefaultRuleBasedCouponActionDaoIntegrationTest</testclass><testclass>de.hybris.platform.couponservices.interceptor.MultiCodeCouponValidationIT</testclass><testclass>de.hybris.platform.couponservices.rao.providers.impl.CouponAwareCartRaoProviderIT</testclass><testclass>de.hybris.platform.couponservices.services.impl.CouponVoucherServiceUnitTest</testclass><testclass>de.hybris.platform.couponservices.action.impl.DefaultAddCouponActionStrategyTest</testclass><testclass>de.hybris.platform.couponservices.services.impl.DefaultCouponCodeGenerationServiceIT</testclass><testclass>de.hybris.platform.couponservices.rao.providers.impl.CouponAwareCartRaoProviderUnitTest</testclass><testclass>de.hybris.platform.couponservices.AbstractCouponAwareCartIT</testclass><testclass>de.hybris.platform.couponservices.order.hooks.GiveAwayMultiCodeCouponGenerationHookUnitTest</testclass><testclass>de.hybris.platform.couponservices.strategies.impl.DefaultFindMultiCodeCouponStrategyUnitTest</testclass><testclass>de.hybris.platform.couponservices.strategies.impl.AbstractFindCouponStrategyUnitTest</testclass><testclass>de.hybris.platform.couponservices.converters.populator.CouponRaoPopulatorIT</testclass><testclass>de.hybris.platform.couponservices.services.impl.DefaultCouponCodeGenerationServiceUnitTest</testclass><testclass>de.hybris.platform.couponservices.strategies.impl.DefaultFindSingleCodeCouponStrategyUnitTest</testclass></couponservices></testclasses>